Addresses

Learn how to manage addresses.

Creating or updating a shopper's address

Use POST /v1/shoppers/me/addressesarrow-up-right to create a shopper record. Contact your Digital River team to set up this request. An address entry must have a unique nickname. If a current address has the same nickname specified in the request, that address is updated; otherwise, a new address is created. See Addresses query parameters for a description of the query parameters.

curl --location --request POST 'https://api.digitalriver.com/v1/shoppers/me/addresses' \
--header 'authorization: bearer ***\
...
--data-raw '{
  "address": {
    "nickName": "test",
    "isDefault": "true",
    "firstName": "Jon",
    "lastName": "Doe",
    "companyName": "Digital River",
    "line1": "10380 Bren Road West",
    "line2": "string",
    "line3": "string",
    "city": "Minnetonka",
    "countrySubdivision": "MN",
    "postalCode": "55343",
    "country": "US",
    "countryName": "United States",
    "countyName": "Hennepin",
    "phoneNumber": "555-253-1234",
    "phoneticFirstName": "クリス",
    "phoneticLastName": "ミラー",
    "division": "製品開発"
  }
}

You will receive a 204 No Content response.

Getting an address by identifier

Use GET /v1/shoppers/me/addresses/{addressId}arrow-up-right to get a shopper's address by its identifier (addressId).

Getting all shopper addresses

Use GET /v1/shoppers/me/addressesarrow-up-right to get all shopper addresses.

Deleting a shopper's address

Use DELETE /v1/shoppers/me/addresses/{addressId}arrow-up-right to delete a shopper's address by its identifier (addressId).

You will receive a 204 No Content response.

Last updated